import http from './https.js'
import tools from './tools.js'
import store from '@/store'
export default {
	// 小程序管理
	onlogin(param) { // 微信小程序登录
		return http.post("/api/app/wxopen/onlogin", param).then(res => {
			return res
		})
	},
	getlogin(param) { // 账号密码登录
		return http.post("/api/app/wxopen/login", param).then(res => {
			return res
		})
	},
	getoutlogin(param) { // 退出登录
		return http.post("/api/app/wxopen/logout", param).then(res => {
			return res
		})
	},
	getuserinfo(param) { // 获取用户信息资料
		return http.post("/api/app/wxopen/userinfo", param).then(res => {
			return res
		})
	},
	getApplyfor(param) { // 申请加入智照团
		return http.post("/api/app/wxopen/applyfor", param).then(res => {
			return res
		})
	},
	getNavbarlist(param) { // 获取导航栏列表
		return http.post("/api/app/wxopen/navbarlist", param).then(res => {
			return res
		})
	},

	// 内容管理
	getHomeContent(param) { // 获取首页内容
		return http.post("/api/app/home/content", param).then(res => {
			return res
		})
	},
	getinfolist(param) { // 资讯列表
		return http.post("/api/app/info/list", param).then(res => {
			return res
		})
	},
	getInfoDetail(param) { // 获取详情（资讯、轮播、公告、党建）
		return http.post("/api/app/info/detail", param).then(res => {
			return res
		})
	},
	getCampaignList(param) { // 活动列表
		return http.post("/api/app/campaign/list", param).then(res => {
			return res
		})
	},
	getGongyiList(param) { // 公益列表
		return http.post("/api/app/info/gongyilist", param).then(res => {
			return res
		})
	},
	getCampaignDetail(param) { // 活动详情
		return http.post("/api/app/campaign/detail", param).then(res => {
			return res
		})
	},
	getPartyList(param) { // 建档列表
		return http.post("/api/app/party/list", param).then(res => {
			return res
		})
	},
	// 会员管理
	getUserConList(param) { // 会员企业列表
		return http.post("/api/app/user/com/list", param).then(res => {
			return res
		})
	},
	getVipDetail(param) { // 会员详情
		return http.post("/api/app/user/detail", param).then(res => {
			return res
		})
	},
	getVipList(param) { // 会员列表
		return http.post("/api/app/user/list", param).then(res => {
			return res
		})
	},
	getLike(param) { // 用户点赞
		return http.post("/api/app/user/like", param).then(res => {
			return res
		})
	},
	getUserSubmit(param) { // 用户资料修改
		return http.post("/api/app/user/submit", param).then(res => {
			return res
		})
	},
	getSubmitCom(param) { // 企业信息修改
		return http.post("/api/app/user/submitcom", param).then(res => {
			return res
		})
	},
	getChangePassword(param) { // 密码修改
		return http.post("/api/app/user/changepassword", param).then(res => {
			return res
		})
	},

	// 产品管理
	getProductAdd(param) { // 添加产品
		return http.post("/api/app/product/add", param).then(res => {
			return res
		})
	},
	getProductEdit(param) { // 编辑产品
		return http.post("/api/app/product/edit", param).then(res => {
			return res
		})
	},
	getProductList(param) { // 产品列表
		return http.post("/api/app/product/list", param).then(res => {
			return res
		})
	},
	getProductDetail(param) { // 产品详情
		return http.post("/api/app/product/detailaysnc", param).then(res => {
			return res
		})
	},
	getProductListbyuser(param) { // 账户下产品列表
		return http.post("/api/app/product/listbyuser", param).then(res => {
			return res
		})
	},
	getProductDetailbyuser(param) { // 自有产品详情
		return http.post("/api/app/product/detailbyuser", param).then(res => {
			return res
		})
	},

	// 文件上传

	getUpLoadimg(param) { // 图片上传
		return http.upload("/api/common/uploadimg", param).then(res => {
			return res
		})
	},
	// 全局搜索

	getSearchList(param) { // 全局搜索
		return http.post("/api/app/search/list", param).then(res => {
			return res
		})
	},





}